<?php

namespace App\LLM;

use App\Models\User;
use App\Repositories\LLM\History;
use Illuminate\Database\Eloquent\Collection;

interface BaseLLM
{
    public function setHistory(History $history);

    public function setTools(Collection $tools);
    public function setUser(User $user);

    public function streamResponse();
}
